Workspace · Logs

List activity logs

Returns activity logs, one page at a time.

GEThttps://api.pozy.ai/v1/logs
listLogs

Guide: Security

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the publishing resource group disabled get 403 resource_group_disabled. Authentication

Query parameters

NameTypeNotes
typestringOne of all, publishing, connections, webhooks, messaging, workflow_event, api_request, activityDefault publishing
statusstringOne of success, failed, pending, skipped, all
platformstringOne of tiktok, instagram, whatsapp, facebook, youtube, linkedin, twitter, threads, pinterest, reddit, bluesky, googlebusiness, telegram, snapchat, all
actionstring
searchstring
daysintegerDefault 901 to 90
limitintegerDefault 501 to 100
skipintegerDefault 0At least 0
accountIdstring
eventstring
requestIdstring
fromstring (date-time)
tostring (date-time)
statusCodeinteger
apiKeyIdstring
profileIdstring
includeReadReceiptsbooleanDefault false
statusClassstringOne of 1xx, 2xx, 3xx, 4xx, 5xx
methodstringOne of GET, POST, PUT, PATCH, DELETE
sourcestringOne of api, dashboard, mcp, cli

Example

curl -X GET "https://api.pozy.ai/v1/logs?limit=50" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • logsarray of object
    23 child fields
    • typestring
    • actionstring
    • user_idstring
    • platformstring
    • account_idstring
    • profile_idstring
    • operation_idstring
    • statusstring

      One of success, failed, pending, skipped.

    • status_codeinteger
    • error_messagestring
    • error_codestring
    • duration_msinteger
    • endpointstring
    • request_bodystring
    • response_bodystring
    • created_atstring (date-time)
    • metadatastring
    • request_idstring
    • api_key_idstring
    • methodstring
    • pathstring
    • ip_addressstring
    • user_agentstring
  • paginationobject
    • totalinteger
    • limitinteger
    • skipinteger
    • pagesinteger
    • hasMoreboolean
200 response
{
  "logs": [
    {
      "type": "string",
      "action": "string",
      "user_id": "6bcbade0f9d4bd9ddd667038",
      "platform": "instagram",
      "account_id": "6c0452ba13f893983745d2dc",
      "profile_id": "6532c1777e5dfc41188fa1ee",
      "operation_id": "6d45b066a711cb6b0400a4c5",
      "status": "success",
      "status_code": 1,
      "error_message": "Hello from Pozy",
      "error_code": "string",
      "duration_ms": 1,
      "endpoint": "string",
      "request_body": "string",
      "response_body": "string",
      "created_at": "2026-10-02T09:00:00.000Z",
      "metadata": "string",
      "request_id": "658ac18fdfa6e639bea5f24e",
      "api_key_id": "6c997b4d4de22bc698229e77",
      "method": "string",
      "path": "string",
      "ip_address": "string",
      "user_agent": "string"
    }
  ],
  "pagination": {
    "total": 42,
    "limit": 1,
    "skip": 1,
    "pages": 1,
    "hasMore": true
  }
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.